API ReferenceOrganizations
Update organization
Update organization settings.
PATCH
/v1/organizationAuthorization
ApiKeyAuth AuthorizationBearer <token>
API key authentication. Keys are prefixed with environment:
npk_live_for productionnpk_test_for testing/staging
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.npayload.com/v1/organization" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"slug": "string",
"tier": "free",
"createdAt": "2019-08-24T14:15:22Z",
"settings": {
"defaultRetentionDays": 0,
"webhookTimeout": 0
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient permissions for this operation"
}
}Was this page helpful?